OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPLCAF
PNaming

# PNaming_VArrayNodeOfFieldOfHArray1OfNamedShape Class Reference

`#include <PNaming_VArrayNodeOfFieldOfHArray1OfNamedShape.hxx>`

Inheritance diagram for PNaming_VArrayNodeOfFieldOfHArray1OfNamedShape:

[legend]

## Public Member Functions
Standard_EXPORT | PNaming_VArrayNodeOfFieldOfHArray1OfNamedShape ()
Standard_EXPORT | PNaming_VArrayNodeOfFieldOfHArray1OfNamedShape (const Handle(PNaming_NamedShape)&aValue)
Standard_EXPORT void | SetValue (const Handle(PNaming_NamedShape)&aValue)
Standard_EXPORT Standard_Address | Value () const
| PNaming_VArrayNodeOfFieldOfHArray1OfNamedShape (const Storage_stCONSTclCOM &a)
| Handle (PNaming_NamedShape) _CSFDB_GetPNaming_VArrayNodeOfFieldOfHArray1OfNamedShapemyValue() const
void | _CSFDB_SetPNaming_VArrayNodeOfFieldOfHArray1OfNamedShapemyValue (const Handle(PNaming_NamedShape)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_PNaming_NamedShape | myValue

## Constructor & Destructor Documentation

Standard_EXPORT PNaming_VArrayNodeOfFieldOfHArray1OfNamedShape::PNaming_VArrayNodeOfFieldOfHArray1OfNamedShape | ( |  | ) |

Standard_EXPORT PNaming_VArrayNodeOfFieldOfHArray1OfNamedShape::PNaming_VArrayNodeOfFieldOfHArray1OfNamedShape | ( | const Handle(PNaming_NamedShape)& | aValue | ) |

PNaming_VArrayNodeOfFieldOfHArray1OfNamedShape::PNaming_VArrayNodeOfFieldOfHArray1OfNamedShape | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void PNaming_VArrayNodeOfFieldOfHArray1OfNamedShape::_CSFDB_SetPNaming_VArrayNodeOfFieldOfHArray1OfNamedShapemyValue | ( | const Handle(PNaming_NamedShape)& | p | ) | `[inline]`

Standard_EXPORT const PNaming_VArrayNodeOfFieldOfHArray1OfNamedShape::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PStandard_ArrayNode.

PNaming_VArrayNodeOfFieldOfHArray1OfNamedShape::Handle | ( | PNaming_NamedShape |  | ) | const`[inline]`

Standard_EXPORT void PNaming_VArrayNodeOfFieldOfHArray1OfNamedShape::SetValue | ( | const Handle(PNaming_NamedShape)& | aValue | ) |

Standard_EXPORT Standard_Address PNaming_VArrayNodeOfFieldOfHArray1OfNamedShape::Value | ( |  | ) | const

## Field Documentation

Handle_PNaming_NamedShape PNaming_VArrayNodeOfFieldOfHArray1OfNamedShape::myValue`[private]`

The documentation for this class was generated from the following file:

- PNaming_VArrayNodeOfFieldOfHArray1OfNamedShape.hxx